Subject: Re: Protocol: referrals and other URIs

From: "Jim Sermersheim" <[email-masked]>
Date: Wed, 12 Nov 2003 19:46:27 -0700

>>> "Jong" <[email-masked]> 11/12/03 3:46:59 PM >>>
>The server's knowledge on the other opaque protocols is an
implementational
>one
>and hence needs to be treated as such in the protocol specification.

Yes, and as such, no server protocol implementation can be expected to
understand the relationship between operations and non-LDAP protocols.
And since no provision is given to allow an administrator to specify
such a relationship, the current language is impossible to adhere to.
 
If there were some "applicable operations" field in referral URIs, then
the current language would be possible to adhere to. But there is not.
 
>The client needs to be prepared for the server which has imprecise
>information
>on the other protocols, but IMHO, this seems to be outside of the
protocol
>specification.
>- Jong

I agree. Currently, there is no wording that assures a client that it
will receive a URI which it will know how to follow. This is good.
 
Jim

----- Original Message -----
From: "Jim Sermersheim" < [email-masked] >
To: < [email-masked] >
Sent: Wednesday, November 12, 2003 2:08 PM
Subject: Re: Protocol: referrals and other URIs

> Howard,
>
> For an implementation to conform to the protocol specification, it
must
> understand and correctly implement the specification. If there is
> language that forces a server to do something it cannot do, that's a
> problem.
>
> If my interpretation is muddy, then the wording needs to change,
> because it is not only me who is interpreting it that way.
>
> Do you have alternate wording which captures the intent of this
> statement while allowing non-LDAP protocols to be specified in
referral
> URIs?
>
> Jim
>
> >>> < [email-masked] > 11/12/03 10:35:23 AM
>>>
> >All,
> >
> >There is the following text regarding referral URIs in the protocol
> >document:
> >"Other kinds of URIs may be returned, so long as the operation
could
> be
> >performed using that protocol."
> >
> >It's quite likely (actually, it's a reality) that a protocol could
> >exist which allows some directory operations (like add, modify, and
> >search), but not others (like modDN).
> >Even when one considers this language a certain way, two LDAP
servers
> >may not both support the same extended operation.
>
> What the protocol defines and what a particular server
implementation
> supports are two very different things. Your interpretation is
> muddying
> the details needlessly.
> -- Howard
>
>
>

---

From: "Jong" <[email-masked]>
Date: Thu, 13 Nov 2003 10:38:52 -0500

> >The server's knowledge on the other opaque protocols is an implementational one

The configuration of referrals in the server is implementation depedent.
Should such relationships bw. operations and non-LDAP protocols
are needed, it can be specified in an implementation dependent way
without touching referral URIs. I agree to the need for a wording change,
in that the server may return other kinds of URIs subject to its knowledge
of that protocol, and the client may follow it also subject to its knowledge.

> >The client needs to be prepared for the server which has imprecise information
> >on the other protocols, but IMHO, this seems to be outside of the protocol
specification.